CVE-2014-9747

NameCVE-2014-9747
DescriptionThe t42_parse_encoding function in type42/t42parse.c in FreeType before 2.5.4 does not properly update the current position for immediates-only mode, which allows remote attackers to cause a denial of service (infinite loop) via a Type42 font.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-319-1, DSA-3370-1
NVD severitymedium (attack range: remote)
Debian Bugs798619

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
freetype (PTS)wheezy2.4.9-1.1+deb7u3fixed
wheezy (security)2.4.9-1.1+deb7u7fixed
jessie (security), jessie2.5.2-3+deb8u2fixed
stretch2.6.3-3.2fixed
buster2.8-0.2fixed
sid2.8.1-0.1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
freetypesource(unstable)2.6-1medium798619
freetypesourcejessie2.5.2-3+deb8u1mediumDSA-3370-1
freetypesourcesqueeze2.4.2-2.1+squeeze6mediumDLA-319-1
freetypesourcewheezy2.4.9-1.1+deb7u2mediumDSA-3370-1

Notes

https://launchpad.net/bugs/1449225
http://www.ubuntu.com/usn/usn-2739-1/
https://savannah.nongnu.org/bugs/?41309
http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=8b281f83e8516535756f92dbf90940ac44bd45e1 (VER-2-5-3)
http://www.openwall.com/lists/oss-security/2015/09/11/4

Search for package or bug name: Reporting problems